Subject: Re: bug#9640: compilation bully mode

From: Stefan Monnier <[email-masked]>
Date: Fri, 30 Sep 2011 23:04:25 -0400

> A Makefile or some other file occupies my entire screen.
> I now do (compile "seq 999")
> How can I make the *compilation* buffer now occupy the entire screen
> with the bottom of the buffer visible, all with no additional
> keystrokes? The hacks people gave me that I put into
> http://jidanni.org/comp/configuration/.emacs no longer work as of
> emacs-snapshot:
>   Installed: 1:20110926-1
> and frankly I don't understand why there is no
> (set  Man-notify-method 'bully) like choice for compilation mode.

The Emacs-23 way to do that should be:
(add-to-list 'special-display-buffer-name
             '(("*Compilation*" (same-window . t))))

        Stefan